Fully featured low overhead profiler for Java EE and Java SE platforms.
Performance monitoring and profiling of Jenkins, TeamCity, Gradle, Maven, Ant, JUnit and TestNG.
Easy to use performance and memory profiler for .NET framework.

Yourkit Profiler and JDK5

Moderators: Vladimir Kondratyev, Anton Katilin

Yourkit Profiler and JDK5

Postby saqibsaleem » Sat Sep 04, 2004 7:17 am

Hi Guys.

What is the ETA for being able to launch the profiler UI under JDK5? Sun have issued the JDK5 RC now.
saqibsaleem
 
Posts: 5
Joined: Thu Aug 12, 2004 5:45 am
Location: London, UK

Re: Yourkit Profiler and JDK5

Postby Vladimir Kondratyev » Sat Sep 04, 2004 8:59 am

Actually there are a lot of problems with new Swing. We are using numerous hacks to make Swing work, and many of them are broken in J2SDK 5.0. As soon as we are finish all major features, we will port our UI to JDK 5.0
Vladimir Kondratyev
 
Posts: 1519
Joined: Tue Aug 10, 2004 7:52 pm
Location: Düsseldorf, Germany

Postby RangerRob » Wed Oct 06, 2004 8:18 am

Do you know if the problems in the new Swing have been fixed now JDK 5.0 has been officially released and is no longer in Release Candidate or Beta form?? I've heard a lot of good things with regards to the speed and resource efficiency of the new JRE... are these offset by the inherent problems in the new Swing engine?? For what it's worth JetBrains also have issues with adopting the new 5.0 JRE as the default runtime for IDEA because of problems it has on the Mac (although obviously it has full JDK 5.0 support).
RangerRob
 
Posts: 64
Joined: Wed Oct 06, 2004 7:56 am
Location: United States

Postby Vladimir Kondratyev » Wed Oct 06, 2004 10:36 am

The latest version 3.0 already works with JDK 5.0
Vladimir Kondratyev
 
Posts: 1519
Joined: Tue Aug 10, 2004 7:52 pm
Location: Düsseldorf, Germany

Postby RangerRob » Thu Oct 07, 2004 7:44 am

Thanks for the information, I think I must have misunderstood your previous post. I know that v3 can profile JDK 5.0 applications, I thought you were talking about having problems running YourKit on JRE 5.0 not profiling under it (like IDEA works fine developing with JDK 5.0 but because of the issues remaining with Mac support of 5.0 they cannot provide IDEA running on JRE 5.0 - although it will run on that). My apologies for the misunderstanding!
RangerRob
 
Posts: 64
Joined: Wed Oct 06, 2004 7:56 am
Location: United States


Return to Java Profiler

Who is online

Users browsing this forum: Baidu [Spider] and 1 guest

cron

YourKit uses cookies and other tracking technologies to improve your browsing experience on our website, to show you personalized content and targeted ads, to analyze our website traffic, and to understand where our visitors are coming from.

By browsing our website, you consent to our use of cookies and other tracking technologies in accordance with the Privacy Policy.